Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Language IDEs » PHP Development Tools (PDT) » Important! Compatibility is broken in PDT 2.0 nightly from 12 Nov 2008
Important! Compatibility is broken in PDT 2.0 nightly from 12 Nov 2008 [message #83487] Wed, 12 November 2008 07:05 Go to next message
Eclipse UserFriend
Originally posted by: michael.zend.com

Hi All,

Today I've committed some code that breaks compatibility in PDT 2.0: the
index file format has been changed.
This was a required step for improving performance in Code Assist. Here are
steps for returning to normal work:

1. Close all projects in your workspace.
2. Find index files under <your workspace
location>/.metadata/.plugins/org.eclipse.dltk.core/*.index
3. Delete index files.
4. Come back to Eclipse, and create an empty PHP project (this will
re-create index files for the PHP language model). Wait until it's built,
then you can remove it.
5. Open your projects.

That's all.
Sorry for inconvenience.
Re: Important! Compatibility is broken in PDT 2.0 nightly from 12 Nov 2008 [message #83501 is a reply to message #83487] Wed, 12 November 2008 08:46 Go to previous messageGo to next message
Eclipse UserFriend
Originally posted by: spam.networks.fi

Michael Spector wrote:
> Hi All,
>
> Today I've committed some code that breaks compatibility in PDT 2.0: the
> index file format has been changed.
> This was a required step for improving performance in Code Assist. Here
> are steps for returning to normal work:
>
> 1. Close all projects in your workspace.
> 2. Find index files under <your workspace
> location>/.metadata/.plugins/org.eclipse.dltk.core/*.index
> 3. Delete index files.
> 4. Come back to Eclipse, and create an empty PHP project (this will
> re-create index files for the PHP language model). Wait until it's
> built, then you can remove it.
> 5. Open your projects.
>
> That's all.
> Sorry for inconvenience.
>

For better performance, i'm ready to do what ever it takes ;) But, is
this process going to be automatic in M2?
Re: Important! Compatibility is broken in PDT 2.0 nightly from 12 Nov 2008 [message #83529 is a reply to message #83501] Wed, 12 November 2008 09:06 Go to previous message
Eclipse UserFriend
Originally posted by: michael.zend.com

Hi,

We will try to figure out how to re-build library dependencies (PHP language
model) on a project cleanup action.
For now it's not possible, as I see.

"Jasmo Hiltula" <spam@networks.fi> wrote in message
news:gfe55j$f84$1@build.eclipse.org...
> Michael Spector wrote:
>> Hi All,
>>
>> Today I've committed some code that breaks compatibility in PDT 2.0: the
>> index file format has been changed.
>> This was a required step for improving performance in Code Assist. Here
>> are steps for returning to normal work:
>>
>> 1. Close all projects in your workspace.
>> 2. Find index files under <your workspace
>> location>/.metadata/.plugins/org.eclipse.dltk.core/*.index
>> 3. Delete index files.
>> 4. Come back to Eclipse, and create an empty PHP project (this will
>> re-create index files for the PHP language model). Wait until it's
>> built, then you can remove it.
>> 5. Open your projects.
>>
>> That's all.
>> Sorry for inconvenience.
>>
>
> For better performance, i'm ready to do what ever it takes ;) But, is
> this process going to be automatic in M2?
Previous Topic:Template problems.
Next Topic:PHP perspective changes discussion
Goto Forum:
  


Current Time: Wed Feb 01 23:45:56 GMT 2023

Powered by FUDForum. Page generated in 0.47440 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top